#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <vector>
#include <algorithm>
using namespace  std;

int main()
{
	int n;
	double x;
	double y;
	double najveci = 0;
	double zbir = 0;
	double zarada = 0;
	std::vector<double> A;
	std::vector<double> P;

	cin>>n;

	for (int i = 0; i < n; i++)
	{
		cin>>x;
		cin>>y;
		A.push_back(x);
		P.push_back(y);
	}

	for (int i = 0; i <= n; i++)
	{
        for (int j = 0; j <= n; j++)
        {
            if (P[i]<=P[j])
            {
                zbir=zbir+A[j];
            }
            zarada=zbir*(P[i]/100.0);
        }

        if (zarada>najveci)
                {
                    najveci=zarada;
                }
	}
	cout<<najveci;
}